org.apache.kylin.jdbc

## Class KylinJdbc41Factory

- java.lang.Object
- - org.apache.kylin.jdbc.KylinJdbc41Factory

All Implemented Interfaces:
  net.hydromatic.avatica.AvaticaFactory

Direct Known Subclasses:
  KylinJdbc40Factory

    public class KylinJdbc41Factory
    extends Object
    implements net.hydromatic.avatica.AvaticaFactory

Kylin JDBC factory.

Author:
  xduo

### Nested Class Summary

Nested Classes
`static class` `KylinJdbc41Factory.KylinJdbc41PreparedStatement` Implementation of PreparedStatement for JDBC 4.1.
`static class` `KylinJdbc41Factory.KylinJdbc41Statement` Implementation of Statement for JDBC 4.1.

### Constructor Summary

Constructors
`` `KylinJdbc41Factory()` Creates a JDBC factory.
`protected` `KylinJdbc41Factory(int major, int minor)` Creates a JDBC factory with given major/minor version number.

### Method Summary

Methods
`int` `getJdbcMajorVersion()`
`int` `getJdbcMinorVersion()`
`net.hydromatic.avatica.AvaticaConnection` `newConnection(net.hydromatic.avatica.UnregisteredDriver driver, net.hydromatic.avatica.AvaticaFactory factory, String url, Properties info)`
`net.hydromatic.avatica.AvaticaDatabaseMetaData` `newDatabaseMetaData(net.hydromatic.avatica.AvaticaConnection connection)`
`net.hydromatic.avatica.AvaticaPreparedStatement` `newPreparedStatement(net.hydromatic.avatica.AvaticaConnection connection, net.hydromatic.avatica.AvaticaPrepareResult prepareResult, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`RemoteClient` `newRemoteClient(KylinConnectionImpl connection)`
`net.hydromatic.avatica.AvaticaResultSet` `newResultSet(net.hydromatic.avatica.AvaticaStatement statement, net.hydromatic.avatica.AvaticaPrepareResult prepareResult, TimeZone timeZone)`
`net.hydromatic.avatica.AvaticaResultSetMetaData` `newResultSetMetaData(net.hydromatic.avatica.AvaticaStatement statement, List<net.hydromatic.avatica.ColumnMetaData> columnMetaDataList)`
`net.hydromatic.avatica.AvaticaStatement` `newStatement(net.hydromatic.avatica.AvaticaConnection connection, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinJdbc41Factory

    public KylinJdbc41Factory()

Creates a JDBC factory.

#### KylinJdbc41Factory

    protected KylinJdbc41Factory(int major,
                      int minor)

Creates a JDBC factory with given major/minor version number.

### Method Detail

#### getJdbcMajorVersion

    public int getJdbcMajorVersion()

Specified by:
  `getJdbcMajorVersion` in interface `net.hydromatic.avatica.AvaticaFactory`

#### getJdbcMinorVersion

    public int getJdbcMinorVersion()

Specified by:
  `getJdbcMinorVersion` in interface `net.hydromatic.avatica.AvaticaFactory`

#### newConnection

    public net.hydromatic.avatica.AvaticaConnection newConnection(net.hydromatic.avatica.UnregisteredDriver driver,
                                                         net.hydromatic.avatica.AvaticaFactory factory,
                                                         String url,
                                                         Properties info)

Specified by:
  `newConnection` in interface `net.hydromatic.avatica.AvaticaFactory`

#### newDatabaseMetaData

    public net.hydromatic.avatica.AvaticaDatabaseMetaData newDatabaseMetaData(net.hydromatic.avatica.AvaticaConnection connection)

Specified by:
  `newDatabaseMetaData` in interface `net.hydromatic.avatica.AvaticaFactory`

#### newStatement

    public net.hydromatic.avatica.AvaticaStatement newStatement(net.hydromatic.avatica.AvaticaConnection connection,
                                                       int resultSetType,
                                                       int resultSetConcurrency,
                                                       int resultSetHoldability)

Specified by:
  `newStatement` in interface `net.hydromatic.avatica.AvaticaFactory`

#### newPreparedStatement

    public net.hydromatic.avatica.AvaticaPreparedStatement newPreparedStatement(net.hydromatic.avatica.AvaticaConnection connection,
                                                                       net.hydromatic.avatica.AvaticaPrepareResult prepareResult,
                                                                       int resultSetType,
                                                                       int resultSetConcurrency,
                                                                       int resultSetHoldability)
                                                                         throws SQLException

Specified by:
  `newPreparedStatement` in interface `net.hydromatic.avatica.AvaticaFactory`
Throws:
  `SQLException`

#### newResultSet

    public net.hydromatic.avatica.AvaticaResultSet newResultSet(net.hydromatic.avatica.AvaticaStatement statement,
                                                       net.hydromatic.avatica.AvaticaPrepareResult prepareResult,
                                                       TimeZone timeZone)

Specified by:
  `newResultSet` in interface `net.hydromatic.avatica.AvaticaFactory`

#### newResultSetMetaData

    public net.hydromatic.avatica.AvaticaResultSetMetaData newResultSetMetaData(net.hydromatic.avatica.AvaticaStatement statement,
                                                                       List<net.hydromatic.avatica.ColumnMetaData> columnMetaDataList)

Specified by:
  `newResultSetMetaData` in interface `net.hydromatic.avatica.AvaticaFactory`

#### newRemoteClient

    public RemoteClient newRemoteClient(KylinConnectionImpl connection)